Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

# browser.h File Reference

## Detailed Description

Classes that manage the scene.

`#include <boost/thread.hpp>`
`#include <openvrml/read_write_mutex.h>`
`#include <openvrml/script.h>`

Include dependency graph for browser.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | openvrml

## Classes

class | openvrml::resource_istream
| An abstract input stream for network resources. More...
class | openvrml::resource_fetcher
| An abstract factory for `resource_istreams`. More...
class | openvrml::stream_listener
| An interface to simplify asynchronously reading a `resource_istream`. More...
class | openvrml::invalid_vrml
| Exception thrown when the parser fails due to errors in the VRML input. More...
class | openvrml::viewer_in_use
| Exception thrown when attempting to associate a `viewer` with a `browser` when the `viewer` is already associated with a `browser`. More...
class | openvrml::bad_url
| Thrown when there is a problem resolving a URI. More...
class | openvrml::invalid_url
| Thrown when parsing a URI fails. More...
class | openvrml::bad_media_type
| Thrown when an unexpected media type is received. More...
class | openvrml::unreachable_url
| Thrown when a URI cannot be reached. More...
class | openvrml::no_alternative_url
| Exception thrown when no URI in an alternative URI list can be resolved. More...
class | openvrml::browser_event
| A `browser`-wide event. More...
class | openvrml::browser_listener
| This class should be inherited by classes that want to listen for `browser_events`. More...
class | openvrml::browser
| Encapsulates a VRML browser. More...
class | openvrml::browser::node_metatype_map
| The map of `node_metatypes`. More...
class | openvrml::scene
| A scene in the VRML world. More...

## Functions

std::auto_ptr < openvrml::node_type_decls > | openvrml::profile (const std::string &profile_id) throw ( std::invalid_argument , std::bad_alloc )
| Get a `node_type_decls` map corresponding to a particular profile.
void | openvrml::add_component (node_type_decls &node_types, const std::string &component_id, const size_t level) throw ( std::invalid_argument , std::bad_alloc )
| Add the nodes corresponding to a component level to a `node_type_decls` map.

## Variables

const char | openvrml::vrml_media_type [11] = "model/vrml"
| VRML MIME media type.
const char | openvrml::x_vrml_media_type [15] = "x-world/x-vrml"
| Experimental VRML MIME media type.
const char | openvrml::x3d_vrml_media_type [15] = "model/x3d+vrml"
| X3D VRML MIME media type.